Bug 151429 - Fusion MPT doesn't handle multiple PCI domains correctly
Fusion MPT doesn't handle multiple PCI domains correctly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-03-17 15:13 EST by Bjorn Helgaas
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:51:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for upstream (1.18 KB, patch)
2005-03-17 15:48 EST, Bjorn Helgaas
no flags Details | Diff
current upstream patch (3.39 KB, patch)
2005-05-02 15:42 EDT, Bjorn Helgaas
no flags Details | Diff

  None (edit)
Description Bjorn Helgaas 2005-03-17 15:13:54 EST
Description of problem:

  Fusion MPT driver doesn't handle multiple PCI domains correctly:

    Linux version 2.6.9-5.EL (bhcompile@bullwinkle.build.redhat.com) (gcc
version 3.4.3 20041212 (Red Hat 3.4.3-9.EL4)) #1 SMP Wed Jan 5 19:23:24 EST 2005
    ...
    Fusion MPT base driver 3.01.16
    Copyright (c) 1999-2004 LSI Logic Corporation
    ACPI: PCI interrupt 0000:00:02.0[A] -> GSI 25 (level, low) -> IRQ 51
    mptbase: Initiating ioc0 bringup
    ioc0: 53C1030: Capabilities={Initiator,Target}
    ACPI: PCI interrupt 0000:00:02.1[B] -> GSI 26 (level, low) -> IRQ 52
    mptbase: Initiating ioc1 bringup
    ioc1: 53C1030: Capabilities={Initiator,Target}
    ACPI: PCI interrupt 0000:00:03.0[A] -> GSI 27 (level, low) -> IRQ 53
    mptbase: Initiating ioc2 bringup
    ioc2: 53C1030: Capabilities={Initiator,Target}
    ACPI: PCI interrupt 0000:00:03.1[B] -> GSI 28 (level, low) -> IRQ 54
    mptbase: Initiating ioc3 bringup
    ioc3: 53C1030: Capabilities={Initiator,Target}
    ACPI: PCI interrupt 0001:00:02.0[A] -> GSI 133 (level, low) -> IRQ 56
    mptbase: Oops, already bound (ioc1 <==> ioc0)!

  The driver thinks the adapter at 0001:00:02.0 is the same as the
  one at 0000:00:02.0 because it looks at the bus number.

Version-Release number of selected component (if applicable):

  RHEL4, Fusion MPT base driver 3.01.16

How reproducible:

  100%

Steps to Reproduce:
1. Install two LSI 1030 adapters in corresponding slots of different I/O
   chassis of HP rx7620, rx8620, or SuperDome.
2. Set firmware "acpiconfig" to "default".
3. Boot RHEL4.
  
Actual results:

  Errors from Fusion MPT driver:
    mptbase: Oops, already bound (ioc1 <==> ioc0)!

Expected results:

  No errors

Additional info:

  This was actually observed in the lab on a prototype, but it
  *should* happen on an rx7620, rx8620, or SuperDome as well.

  Patch for upstream posted here:
    http://marc.theaimsgroup.com/?l=linux-scsi&m=111108969501519&w=2
Comment 1 Bjorn Helgaas 2005-03-17 15:48:28 EST
Created attachment 112108 [details]
patch for upstream

Patch for upstream, should apply to RHEL4 unchanged.
Comment 2 Tom Coughlan 2005-03-25 09:50:42 EST
This is too late for U1. I will add it to the list for U2. 

I see that this patch has not been accepted yet. I suggest that you contact the
mpt fusion maintainer, Eric.Moore@lsil.com, and work out a patch that he will
endorse on the linux-scsi list. Then James B. will include it. 
Comment 3 Bjorn Helgaas 2005-05-02 15:42:03 EDT
Created attachment 113941 [details]
current upstream patch

Per Eric Moore, April 8, this will be submitted upstream.
Comment 8 Tom Coughlan 2005-06-21 16:54:37 EDT
The patch to fix this is included in the 3.02.18 mpt fusion driver. This driver
was added for RHEL 4 U2, in kernel 2.6.9-11.1.
Comment 10 Red Hat Bugzilla 2005-10-05 08:51:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html
Comment 11 Rick Hester 2005-10-21 12:36:24 EDT
Tested for this on a HP Integrity Superdome with fusion driver: 3.02.18.
Fix is confirmed

Note You need to log in before you can comment on or make changes to this bug.